<table class="table">
  <thead>
    <th>id</th>
    <th>int</th>
    <th>float</th>
    <th>color</th>
    <th>child</th>
  </thead>
  <tbody>
    <tr *ngFor="let entity of tableService.entities()">
      <td>
        <div>{{ entity.id }}</div>
      </td>
      <td>
        <div>{{ entity.int }}</div>
      </td>
      <td>
        <div>{{ entity.float }}</div>
      </td>
      <td>
        <div>
          <span [style.background-color]="entity.color">
            {{ entity.color }}
          </span>
        </div>
      </td>
      <td class="table__child">
        <ng-container
          *ngTemplateOutlet="childTable; context: { $implicit: entity.child }"></ng-container>
      </td>
    </tr>
  </tbody>
</table>

<ng-template
  #childTable
  let-child>
  <table class="child">
    <thead>
      <th>id</th>
      <th>color</th>
    </thead>
    <tbody>
      <td>
        <div>{{ child.id }}</div>
      </td>
      <td>
        <div>
          <span [style.background-color]="child.color">{{ child.color }}</span>
        </div>
      </td>
    </tbody>
  </table>
</ng-template>
